#ifndef __NLLIBC_UNISTD_H_INCLUDED__
#define __NLLIBC_UNISTD_H_INCLUDED__

#include <sys/types.h>

void _exit(int status);
pid_t fork(void);
int execve(const char *path, char *const argv[], char *const envp[]);

ssize_t read(int fd, void *buf, size_t nbytes);
ssize_t write(int fd, const void *buf, size_t nbytes);
int close(int fd);

int dup(int oldd);
int pipe(int fildes[2]);
int dup2(int oldd, int newd);
int pipe2(int fildes[2], int flags);

pid_t getpid(void);
pid_t getppid(void);
pid_t getsid(pid_t pid);
pid_t setsid(void);
pid_t getpgid(pid_t pid);
int setpgid(pid_t pid, pid_t pgrp);
pid_t getpgrp(void);

pid_t tcgetpgrp(int fd);
int tcsetpgrp(int fd, pid_t pgrp_id);

int chdir(const char *path);
int brk(const void *addr);
void *sbrk(intptr_t incr);
int __getcwd(char *buf, size_t size);

char *getcwd(char *buf, size_t size);

#endif
